%bcond_without perl_DateTime_Format_Mail_enables_extra_test

Name:           perl-DateTime-Format-Mail
Version:        0.403
Release:    1%{?dist}
Summary:        Convert between DateTime and RFC2822/822 formats
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/DateTime-Format-Mail            
Source0:        https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Format-Mail-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DateTime) >= 1.04
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_DateTime_Format_Mail_enables_extra_test}
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(Test::CPAN::Meta)
%endif

%description
RFCs 2822 and 822 specify date formats to be used by email. This module parses
and emits such dates.

RFC2822 (April 2001) introduces a slightly different format of date than that
used by RFC822 (August 1982). The main correction is that the preferred format
is more limited, and thus easier to parse programmatically.

Despite the ease of generating and parsing perfectly valid RFC822 and RFC2822
people still get it wrong. This module aims to correct that.

%prep
%setup -q -n DateTime-Format-Mail-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test %{?with_perl_DateTime_Format_Mail_enables_extra_test:\
    AUTHOR_TESTING=1 RELEASE_TESTING=1}

%files
%license LICENSE
%doc CREDITS Changes README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::Mail.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.403-1
- initial build
